View Issue Details

IDProjectCategoryView StatusLast Update
0004184unrealircdpublic2013-05-06 02:02
ReportergrawityAssigned Tonenolod 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.10 
Target VersionFixed in Version3.4-alpha1 
Summary0004184: STARTTLS – sends an empty parameter instead of * during registration
DescriptionWhen STARTTLS is used during registration before NICK is sent, the reply (RPL_STARTTLS) will have an empty parameter in place of the nick:

<<< :radian.cluenet.org CAP * LS :account-notify away-notify multi-prefix sasl tls userhost-in-names
>>> STARTTLS
<<< :radian.cluenet.org 670 :STARTTLS successful, go ahead with TLS handshake

This should probably look like:

<<< :radian.cluenet.org 670 * :STARTTLS successful, go ahead with TLS handshake
Steps To Reproduce1. Connect to the server
2. Send "STARTTLS\n"
3. Read reply
TagsNo tags attached.
3rd party modules

Activities

Stealth

2013-04-09 02:24

reporter  

starttls.patch (1,782 bytes)

Stealth

2013-04-09 02:25

reporter   ~0017473

Attahced patch (starttls.patch) to fix numerics 670 (RPL_STARTTLS) and 691 (ERR_STARTTLS) to use * instead of an empty sptr->name pointer.

nenolod

2013-05-06 01:58

reporter   ~0017480

I don't like that patch as it breaks RFC1459 convention. We should only send * when we do not know the client name.

I am committing a different patch that does this instead.

nenolod

2013-05-06 02:02

reporter   ~0017481

http://hg.unrealircd.org/hg/unreal/rev/ceb4291fd315

Issue History

Date Modified Username Field Change
2013-04-08 15:25 grawity New Issue
2013-04-08 18:25 syzop Status new => acknowledged
2013-04-09 02:24 Stealth File Added: starttls.patch
2013-04-09 02:25 Stealth Note Added: 0017473
2013-04-14 10:39 syzop Status acknowledged => has patch
2013-05-06 01:58 nenolod Note Added: 0017480
2013-05-06 02:02 nenolod Note Added: 0017481
2013-05-06 02:02 nenolod Status has patch => resolved
2013-05-06 02:02 nenolod Fixed in Version => 3.4-alpha1
2013-05-06 02:02 nenolod Resolution open => fixed
2013-05-06 02:02 nenolod Assigned To => nenolod